<?php
/**
 * @category   Newsroom
 * @package    Newsroom_Pressrelease
 * @author     dushyantjoshia@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Newsroom\Pressrelease\Model\ResourceModel;

class Pressrelease extends \Magento\Framework\Model\ResourceModel\Db\AbstractDb
{
    /**
     * Define main table
     */
    protected function _construct()
    {
        $this->_init('newsroom_pressrelease', 'pressrelease_id');   //here "newsroom_pressrelease" is table name and "pressrelease_id" is the primary key of custom table
    }
}